PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » IPC (Inter Process Communication) » IPC pipes layer (IPC_PIPE)

## General Description

Data structures are used in the driver.

## Data Structures
struct | cy_stc_ipc_pipe_ep_t
| This is the definition of a pipe endpoint. More...
struct | cy_stc_ipc_pipe_ep_config_mask_t
| The Pipe endpoint configuration mask structure. More...
struct | cy_stc_ipc_pipe_ep_config_t
| The Pipe endpoint configuration structure. More...
struct | cy_stc_ipc_pipe_config_t
| The Pipe channel configuration structure. More...

## Data Structure Documentation

## ◆ cy_stc_ipc_pipe_ep_t

struct cy_stc_ipc_pipe_ep_t

Data Fields
uint32_t | ipcChan | IPC channel number used for this endpoint to receive messages
uint32_t | intrChan | IPC interrupt channel number used for this endpoint to receive interrupts.
uint32_t | pipeIntMask | Release/Notify interrupt mask that includes all endpoints on pipe
IRQn_Type | pipeIntrSrc | Interrupt vector number that includes all endpoints on pipe
IPC_STRUCT_Type * | ipcPtr | Pointer to receive IPC channel ( If ipcPtr == NULL, cannot receive )
IPC_INTR_STRUCT_Type * | ipcIntrPtr | Pointer to IPC interrupt, needed to clear the interrupt
uint32_t | busy | Endpoint busy flag. If set no messages can be sent from this endpoint
uint32_t | clientCount | Client count and size of MsgCallback array
cy_ipc_pipe_callback_array_ptr_t | callbackArray | Pointer to array of callback functions, one for each Client
cy_ipc_pipe_relcallback_ptr_t | releaseCallbackPtr | Pointer to release callback function
cy_ipc_pipe_relcallback_ptr_t | defaultReleaseCallbackPtr | Pointer to default release callback function

## ◆ cy_stc_ipc_pipe_ep_config_mask_t

struct cy_stc_ipc_pipe_ep_config_mask_t

Data Fields
uint32_t | epChannel | IPC channel number.
uint32_t | epIntr | IPC interrupt number.
uint32_t | epIntrmask | IPC interrupt mask. This comprises of all channels present in all IPC IP instances .

## ◆ cy_stc_ipc_pipe_ep_config_t

struct cy_stc_ipc_pipe_ep_config_t

Data Fields
uint32_t | ipcNotifierNumber | Notifier. It comprises of total number of interrupts present in all instances of IPC IPs.
uint32_t | ipcNotifierPriority | Notifier Priority.
uint32_t | ipcNotifierMuxNumber | CM0+ interrupt multiplexer number.
uint32_t | epAddress | Index in the array of endpoint structure.
uint32_t | epConfig | Configuration mask, contains IPC channel, IPC interrupt number, and the interrupt mask.

## ◆ cy_stc_ipc_pipe_config_t

struct cy_stc_ipc_pipe_config_t

Data Fields
cy_stc_ipc_pipe_ep_config_t | ep0ConfigData | Specifies the notify interrupt number for the receiver endpoint.
cy_stc_ipc_pipe_ep_config_t | ep1ConfigData | Specifies the notify interrupt number for the send endpoint.
uint32_t | endpointClientsCount | Client count and size of MsgCallback array.
cy_ipc_pipe_callback_array_ptr_t | endpointsCallbacksArray | Pipes callback function array.
cy_israddress | userPipeIsrHandler | User IRQ handler function that is called when IPC receive data to process (interrupt was raised).